package nextapp.echo2.testapp.interactive;

import com.informagen.starter.echo.EchoApplication;

import nextapp.echo2.testapp.interactive.TestPane;

import nextapp.echo2.app.Window;

/**
 * Starter Application Instance.
 */

public class InteractiveApp extends EchoApplication {


    private ConsoleWindowPane console;


    /**
     * Implement the abstract method 'init' which will start the application
     *   running.
     *
     * @see nextapp.echo2.app.ApplicationInstance#init()
     */

    public Window init() {
    
        // Wire up servlet listener as well as other servlet 
        //  housekeeping tasks

        initApplication();


        // Instance an Echo2 window i.e. browser window or iframe contents		
        
        Window window = new Window();
        window.setTitle("Echo2 Component Test Harness");
        window.setContent(new TestPane());
 
        return window;
    }




    public void setConsoleVisible(boolean visible) {

        // Lazy instantiate the console
        if (console == null)
            console = new ConsoleWindowPane();

        // Visibility logic, affect only if required
        
        if(visible && console.getParent() == null) {
            getDefaultWindow().getContent().add(console);
        } else if (!visible && console.getParent() != null) {
            getDefaultWindow().getContent().remove(console);
        }

    }

    
    public void consoleWrite(String message) {
        setConsoleVisible(true);
        console.writeMessage(message);
    }
    

 
}
