package nextapp.echo2.testapp.interactive;

import nextapp.echo2.app.FillImage;
import nextapp.echo2.app.ImageReference;
import nextapp.echo2.app.ResourceImageReference;
import nextapp.echo2.app.StyleSheet;
import nextapp.echo2.app.componentxml.ComponentXmlException;
import nextapp.echo2.app.componentxml.StyleSheetLoader;

/**
 * Look-and-feel information.
 */


public class Styles {
    
    public static final String IMAGE_PATH = "/nextapp/echo2/testapp/interactive/resource/image/";
    public static final String STYLE_PATH = "/nextapp/echo2/testapp/interactive/resource/style/";
    
    /**
     * Default application style sheet.
     */
 
 public static final StyleSheet DEFAULT_STYLE_SHEET;
 
    static {
        try {
            DEFAULT_STYLE_SHEET = StyleSheetLoader.load(STYLE_PATH + "Default.stylesheet", 
                                    Thread.currentThread().getContextClassLoader());
        } catch (ComponentXmlException ex) {
            throw new RuntimeException(ex);
        }
    }

    // Images
    public static final ImageReference ICON_24_YES= new ResourceImageReference(IMAGE_PATH + "Icon24Yes.gif");
    public static final ImageReference ICON_24_NO = new ResourceImageReference(IMAGE_PATH + "Icon24No.gif");


    public static final FillImage BG_SHADOW_DARK_BLUE = new FillImage(new ResourceImageReference(
            IMAGE_PATH + "ShadowBackgroundDarkBlue.png"), null, null, FillImage.NO_REPEAT);
            
    public static final FillImage BG_SHADOW_LIGHT_BLUE = new FillImage(new ResourceImageReference(
            IMAGE_PATH + "ShadowBackgroundLightBlue.png"), null, null, FillImage.NO_REPEAT);

}
